Summary: Use the Amazon Simple Storage Service (S3)
Name: perl-Net-Amazon-S3
Version: 0.53
Release: 5%{?dist}
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Net-Amazon-S3/
Source0: http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/Net-Amazon-S3-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(Data::Stream::Bulk)
BuildRequires: perl(DateTime::Format::HTTP)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(LWP::UserAgent::Determined)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::StrictConstructor)
BuildRequires: perl(MooseX::Types::DateTimeX)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::XPathContext)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Digest::MD5::File)


Requires: perl-URI
Requires: perl
Requires: perl(LWP::UserAgent::Determined)
Requires: perl(XML::LibXML)
Requires: perl(XML::LibXML::XPathContext)
Requires: perl(Class::Accessor)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: perl(Digest::MD5::File)


%description
This module provides a Perlish interface to Amazon S3. From the
developer blurb: "Amazon S3 is storage for the Internet. It is designed
to make web-scale computing easier for developers. Amazon S3 provides a
simple web services interface that can be used to store and retrieve any
amount of data, at any time, from anywhere on the web. It gives any
developer access to the same highly scalable, reliable, fast,
inexpensive data storage infrastructure that Amazon uses to run its own
global network of web sites. The service aims to maximize benefits of
scale and to pass those benefits on to developers".

To find out more about S3, please visit: http://s3.amazonaws.com/


%prep
%setup -q -n Net-Amazon-S3-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES README
%dir %{perl_vendorlib}/Net
%dir %{perl_vendorlib}/Net/Amazon
%dir %{perl_vendorlib}/Net/Amazon/S3
%dir %{perl_vendorlib}/Net/Amazon/S3/Client
%dir %{perl_vendorlib}/Net/Amazon/S3/Request
%{perl_vendorlib}/Net/Amazon/S3.pm
%{perl_vendorlib}/Net/Amazon/S3/Bucket.pm
%{perl_vendorlib}/Net/Amazon/S3/Client.pm
%{perl_vendorlib}/Net/Amazon/S3/Client/Bucket.pm
%{perl_vendorlib}/Net/Amazon/S3/Client/Object.pm
%{perl_vendorlib}/Net/Amazon/S3/HTTPRequest.pm
%{perl_vendorlib}/Net/Amazon/S3/Request.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/CreateBucket.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/DeleteBucket.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/DeleteObject.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/GetBucketAccessControl.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/GetBucketLocationConstraint.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/GetObject.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/GetObjectAccessControl.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/ListAllMyBuckets.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/ListBucket.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/PutObject.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/SetBucketAccessControl.pm
%{perl_vendorlib}/Net/Amazon/S3/Request/SetObjectAccessControl.pm
%{_mandir}/man3/Net::Amazon::S3.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Bucket.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Client.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Client::Bucket.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Client::Object.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::HTTPRequest.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::CreateBucket.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::DeleteBucket.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::DeleteObject.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::GetBucketAccessControl.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::GetBucketLocationConstraint.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::GetObject.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::GetObjectAccessControl.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::ListAllMyBuckets.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::ListBucket.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::PutObject.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::SetBucketAccessControl.3pm.gz
%{_mandir}/man3/Net::Amazon::S3::Request::SetObjectAccessControl.3pm.gz

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Petr Pisar <ppisar@redhat.com> - 0.53-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.53-2
- Perl mass rebuild

* Mon May 23 2011 Robert Rati <rrati@redhat> - 0.53-1
- Update to upstream 0.53

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.43-7
- We install into vendorlib, need proper perl version require

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.43-6
- Mass rebuild with perl-5.12.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 24 2008  Robert Rati <rrati@redhat> - 0.43-3
- Fixed missing dependency on Class::Accessor perl module

* Thu Mar  6 2008  Robert Rati <rrati@redhat> - 0.43-2
- Package now owns all files/directories from Net on down
  to conform to packaging standards

* Thu Mar  6 2008  Robert Rati <rrati@redhat> - 0.43-1
- Initial release
